Viewcvs...a nightmare on HP-UX!!!


 
Thread Tools Search this Thread
Operating Systems HP-UX Viewcvs...a nightmare on HP-UX!!!
# 1  
Old 03-29-2005
Viewcvs...a nightmare on HP-UX!!!

Hello

I'm new on this forum but I have a big problem. I've installed Subversion 1.1.1 and Apache 2.0.52 on a HP-UX. This is the uname:

HP-UX xxxx B.11.11 U 9000/800 4169945236 unlimited-user license

Now I must to install a software to browse the svn repositories. My choice is Viewcvs.

I tried to install but to use this software I must to compile mod_python.so for Apache: the problem is here. I've downloaded the mod_python source from internet but I didn't have success. This is my steps:

1) I've downloaded python 2.3.3 from http://hpux.connect.org.uk/ and then I've compiled with success
2) I've tried to compile mod_python-3.0.4 source downloaded by www.modpython.org. This is my ./configure:

$ ./configure --prefix=/.../mod_python-3.0.4 \
--with-apxs=/.../apache2/bin/apxs \
--with-python=/.../python-2.3.3/bin/python

The ./configure seems ok. But the "make" returns this error

*** Warning: linker path does not have real file for library -lpython.
*** I have the capability to make that library automatically link in when
*** you link to this library. But I can only do this if you have a
*** shared version of the library, which you do not appear to have
*** because I did check the linker path looking for a file starting
*** with libpython and none of the candidates passed a file format test
*** using a file magic. Last file checked: /CVS/prodotti/python-2.3.3/lib/python/config/libpython.a

*** Warning: libtool could not satisfy all declared inter-library
*** dependencies of module mod_python. Therefore, libtool will create
*** a static module, that should work as long as the dlopening
*** application is linked with the -dlopen flag.

Now su and make install
(or, if you only want to perform a partial install,
you can use make install_dso and make install_py_lib)

ln -s ../lib/python/mod_python
Usage: ln [-f] [-i] [-s] f1 f2
ln [-f] [-i] [-s] f1 ... fn d1
*** Error exit code 2

Stop.
*** Error exit code 1

I tried to modify Makefile and I also tried to make only dso but the problem remain.
I considered that can be a libraries problem. As suggested on google.com I updated the libtool but the problem remain.
I tried also with other mod_python version without success.

Anyone have some ideas?

Thx for help and sorry for my english Smilie

Daniele
# 2  
Old 05-13-2005
Python 2.4.1 error on make

Hello all! Smilie


I have the same system bellow, but I'm trying to compile Python 2.4.1, I have an error while building the package, seems like something about linking packages:

ar cr libpython2.4.a Modules/threadmodule.o Modules/signalmodule.o Modules/posixmodule.o Modules/errnomodule.o Modules/_sre.o Modules/_codecsmodule.o Modules/zipimport.o Modules/symtablemodule.o Modules/xxsubtype.o
ranlib libpython2.4.a
gcc -pthread -Wl,-E -Wl,+s -o python \
Modules/python.o \
libpython2.4.a -lnsl -lrt -ldld -lm
/usr/ccs/bin/ld: Unsatisfied symbols:
PyThread_acquire_lock (first referenced in libpython2.4.a(import.o)) (code)
PyThread_exit_thread (first referenced in libpython2.4.a(threadmodule.o)) (code)
PyThread_allocate_lock (first referenced in libpython2.4.a(import.o)) (code)
PyThread_free_lock (first referenced in libpython2.4.a(threadmodule.o)) (code)
PyThread_start_new_thread (first referenced in libpython2.4.a(threadmodule.o)) (code)
PyThread_release_lock (first referenced in libpython2.4.a(import.o)) (code)
PyThread_get_thread_ident (first referenced in libpython2.4.a(import.o)) (code)
PyThread__init_thread (first referenced in libpython2.4.a(thread.o)) (code)
collect2: ld returned 1 exit status
*** Error exit code 1

Stop.
#

I don't know what else todo to complete! The configure script runs without erros, but the "make" procedures doesn't finish! Smilie

Thank you

Quote:
Originally Posted by goblin79
Hello

I'm new on this forum but I have a big problem. I've installed Subversion 1.1.1 and Apache 2.0.52 on a HP-UX. This is the uname:

HP-UX xxxx B.11.11 U 9000/800 4169945236 unlimited-user license

Now I must to install a software to browse the svn repositories. My choice is Viewcvs.

I tried to install but to use this software I must to compile mod_python.so for Apache: the problem is here. I've downloaded the mod_python source from internet but I didn't have success. This is my steps:

1) I've downloaded python 2.3.3 from http://hpux.connect.org.uk/ and then I've compiled with success
2) I've tried to compile mod_python-3.0.4 source downloaded by www.modpython.org. This is my ./configure:

$ ./configure --prefix=/.../mod_python-3.0.4 \
--with-apxs=/.../apache2/bin/apxs \
--with-python=/.../python-2.3.3/bin/python

The ./configure seems ok. But the "make" returns this error

*** Warning: linker path does not have real file for library -lpython.
*** I have the capability to make that library automatically link in when
*** you link to this library. But I can only do this if you have a
*** shared version of the library, which you do not appear to have
*** because I did check the linker path looking for a file starting
*** with libpython and none of the candidates passed a file format test
*** using a file magic. Last file checked: /CVS/prodotti/python-2.3.3/lib/python/config/libpython.a

*** Warning: libtool could not satisfy all declared inter-library
*** dependencies of module mod_python. Therefore, libtool will create
*** a static module, that should work as long as the dlopening
*** application is linked with the -dlopen flag.

Now su and make install
(or, if you only want to perform a partial install,
you can use make install_dso and make install_py_lib)

ln -s ../lib/python/mod_python
Usage: ln [-f] [-i] [-s] f1 f2
ln [-f] [-i] [-s] f1 ... fn d1
*** Error exit code 2

Stop.
*** Error exit code 1

I tried to modify Makefile and I also tried to make only dso but the problem remain.
I considered that can be a libraries problem. As suggested on google.com I updated the libtool but the problem remain.
I tried also with other mod_python version without success.

Anyone have some ideas?

Thx for help and sorry for my english Smilie

Daniele
# 3  
Old 06-01-2005
Have you tried using a different front end GUI? I'm using eSvn, and it's working great forme.
# 4  
Old 09-06-2005
python build on HP-UX: have to define _POSIX_THREADS manually

Hi dannile,

seems that this could solve your problem: http://mail.python.org/pipermail/pyt...er/026316.html

-haubi

Quote:
Originally Posted by dannile
Hello all! Smilie


I have the same system bellow, but I'm trying to compile Python 2.4.1, I have an error while building the package, seems like something about linking packages:

ar cr libpython2.4.a Modules/threadmodule.o Modules/signalmodule.o Modules/posixmodule.o Modules/errnomodule.o Modules/_sre.o Modules/_codecsmodule.o Modules/zipimport.o Modules/symtablemodule.o Modules/xxsubtype.o
ranlib libpython2.4.a
gcc -pthread -Wl,-E -Wl,+s -o python \
Modules/python.o \
libpython2.4.a -lnsl -lrt -ldld -lm
/usr/ccs/bin/ld: Unsatisfied symbols:
PyThread_acquire_lock (first referenced in libpython2.4.a(import.o)) (code)
PyThread_exit_thread (first referenced in libpython2.4.a(threadmodule.o)) (code)
PyThread_allocate_lock (first referenced in libpython2.4.a(import.o)) (code)
PyThread_free_lock (first referenced in libpython2.4.a(threadmodule.o)) (code)
PyThread_start_new_thread (first referenced in libpython2.4.a(threadmodule.o)) (code)
PyThread_release_lock (first referenced in libpython2.4.a(import.o)) (code)
PyThread_get_thread_ident (first referenced in libpython2.4.a(import.o)) (code)
PyThread__init_thread (first referenced in libpython2.4.a(thread.o)) (code)
collect2: ld returned 1 exit status
*** Error exit code 1

Stop.
#

I don't know what else todo to complete! The configure script runs without erros, but the "make" procedures doesn't finish! Smilie

Thank you

Last edited by haubi; 09-06-2005 at 05:30 AM.. Reason: missing title
Login or Register to Ask a Question

Previous Thread | Next Thread

8 More Discussions You Might Find Interesting

1. Solaris

AI server corporate nightmare

Hello Ex-Sun fellows, i've been tasked to install a bran spanking new AI Solaris 11.1 server for our Oracle park. With the documentation this is what's running and what's working. T5120 2 oracle VM's (one ldom on each disk) One with a Solaris 11.1 repo, AI server. One for testing... (0 Replies)
Discussion started by: maverick72
0 Replies

2. Shell Programming and Scripting

ftp nightmare

Hi everyone I have a Fedora FTP server (lets call it FTP-SERVER1) and files are constantly being uploaded to it from a 3rd party. Once every 15 minutes I need to "move" the files from the FTP server to another server (lets call it SVR-WINDOWS) where it will be processed and then deleted. ... (3 Replies)
Discussion started by: soliberus
3 Replies

3. Solaris

date -d nightmare on Solaris

Hello there ppl, I thought my question would qualify to be posted in this forum and in Shell scripting forum. And I swear to God.. there is no discussion on this exact topic anywhere else on the web! So my script on BASH uses 2 commands: 1) date -d "Fri Mar 06 10:18:16 UTC 2009" +%s ... (1 Reply)
Discussion started by: pavanlimo
1 Replies

4. BSD

FreeBSD nightmare!!!

Dear friends out there, i hope u'll have enough time to read this problem of mine and try to help me solve it. well, i've been a long time user of microsoft products and happened to come across FreeBSD when one fellow referred me to it saying that it was a wonderful OS which one could use for web... (6 Replies)
Discussion started by: kenyatta
6 Replies

5. UNIX for Dummies Questions & Answers

is unix really such a nightmare... or is it me?

i rue the day that my server manager and i parted company... the start of a long journey.... :( sometimes i find myself daydreaming about the days when i could say... "this dont work, can u fix it?".... and 2 mins later it worked! i have a new way of "cursing" at ppls.... i just say "failed... (10 Replies)
Discussion started by: mickeymouse
10 Replies

6. UNIX for Advanced & Expert Users

Installation of ViewCVS on a linux machine

Hi, can anyone help me with Installation of ViewCVS on a linux machine. I am new to this and i tried googling on net but did not find any links for the same. Any help on this will be appreciated Thanks, Sandeep (0 Replies)
Discussion started by: bsandeep_80
0 Replies

7. UNIX for Dummies Questions & Answers

installing apache (nightmare for me)

Please help... i'm new to this job and new to unix as well..... i'm trying to install apache 2.2.6 it's installed on one server... i need to install it on another server... my clue was to maybe use the fetch command... please help.....for example..... apache is on 69.50.132.14.... and it needs to... (1 Reply)
Discussion started by: marinob007
1 Replies

8. Shell Programming and Scripting

Splitting Chunked-FullNames Nightmare

I've got a problem i'm hoping other more experienced programmers have had to deal with sometime in their careers and can help me: how to get fullnames that were chunked together into one field in an old database into separate more meaningful fields. I'd like to get the records that nicely fit... (2 Replies)
Discussion started by: RacerX
2 Replies
Login or Register to Ask a Question

Featured Tech Videos